#include "wm.h"

#define _DEBUG_

#include <ThingerESP32.h>
#include <ThingerESP32OTA.h>

ThingerESP32 thing(user, device, credential);
ThingerESP32OTA ota(thing);

void setup() {
  wmSetup();
  pinMode(16, OUTPUT);



  // digital pin control example (i.e. turning on/off a light, a relay, configuring a parameter, etc)
  thing["GPIO_16"] << digitalPin(16);

  // resource output example (i.e. reading a sensor value)
  thing["millis"] >> outputValue(millis());

  // more details at http://docs.thinger.io/arduino/
}

void loop() {
  wmLoop();
  thing.handle();
}
